VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsButton"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

' Expose the ComboBox Object
Public ComboBox As New clsComboBox
' Expose the ComboBox Collection
Public ComboBoxes As New clsComboBoxes

' Keep out properties Private and only let the user access them
' by the properties
Private mvar_Caption As String
Private mvar_Count As Integer
Private mvar_Description As String
Private mvar_Enabled As Boolean
Private mvar_Height As Long
Private mvar_Image As StdPicture
Private mvar_Key As String
Private mvar_Left As Long
Private mvar_MixedState As Boolean
Private mvar_Style As Integer
Private mvar_Tag As Variant
Private mvar_ToolTipText As String
Private mvar_Top As Long
Private mvar_Value As Integer
Private mvar_Visible As Boolean
Private mvar_Width As Long

Public Property Let Caption(vData As String)
    mvar_Caption = vData
End Property
Public Property Get Caption() As String
    Caption = mvar_Caption
End Property



Public Property Get Count() As Integer
    Count = mvar_Count
End Property


Public Property Let Description(vData As String)
    mvar_Description = vData
End Property

Public Property Get Description() As String
    Description = mvar_Description
End Property
Public Property Let Enabled(vData As Boolean)
    mvar_Enabled = vData
End Property

Public Property Get Enabled() As Boolean
    Enabled = mvar_Enabled
End Property

Public Property Let Height(vData As Long)
    mvar_Height = vData
End Property

Public Property Get Height() As Long
    Height = mvar_Height
End Property

Public Property Set Image(vData As StdPicture)
    Set mvar_Image = vData
End Property

Public Property Get Image() As StdPicture
    Set Image = mvar_Image
End Property
Public Property Let Key(vData As Variant)
    mvar_Key = vData
End Property

Public Property Get Key() As Variant
    Key = mvar_Key
End Property

Public Property Let Left(vData As Long)
    mvar_Left = vData
End Property

Public Property Get Left() As Long
    Left = mvar_Left
End Property
Public Property Let MixedState(vData As Boolean)
    mvar_MixedState = vData
End Property

Public Property Get MixedState() As Boolean
    MixedState = mvar_MixedState
End Property


Public Property Let Style(vData As Integer)
    ' Sets the Style of the toolbar button
    ' Valid Style are :
    
    ' tbrDefault  0   (Default) Button.  The button is a regular push button.
    ' tbrCheck    1   Check.  The button is a check button, which can be checked or unchecked.
    ' tbrButtonGroup  2   ButtonGroup.  The button remains pressed until another button in the group is pressed.  Exactly one button in the group can be pressed at any one moment.
    ' tbrSeparator    3   Separator.  The button functions as a separator with a fixed width of 8 pixels.
    ' tbrPlaceholder  4   Placeholder.  The button is like a separator in appearance and functionality, but has a settable width.
    ' tbrCombo   5  Combobox. The button functions as a dropdown combo box
    
    If vData < 0 Or vData > 5 Then
        Error.Raise vbObjectError + 1, "Toolbar97", "Invalid Style Property!"
    Else
        mvar_Style = vData
    End If
End Property
Public Property Get Style() As Integer
    Style = mvar_Style
End Property

Public Property Let Tag(vData As Variant)
    mvar_Tag = vData
End Property

Public Property Get Tag() As Variant
    Tag = mvar_Tag
End Property

Public Property Let ToolTipText(vData As String)
    mvar_ToolTipText = vData
End Property

Public Property Get ToolTipText() As String
    ToolTipText = mvar_ToolTipText
End Property

Public Property Let Top(vData As Long)
    mvar_Top = vData
End Property
Public Property Get Top() As Long
    Top = mvar_Top
End Property

Public Property Let Value(vData As Integer)
    mvar_Value = vData
End Property

Public Property Get Value() As Integer
    Value = mvar_Value
End Property

Public Property Let Visible(vData As Boolean)
    mvar_Visible = vData
End Property

Public Property Get Visible() As Boolean
    Visible = mvar_Visible
End Property

Public Property Let Width(vData As Long)
    mvar_Width = vData
End Property

Public Property Get Width() As Long
    Width = mvar_Width
End Property

